% $Id$
-module(power_tests).
-export([main/0]).
-import(power,[start/0]).
-import(testing,[dotests/2,eqTest/3]).
main() -> dotests("power_tests $Revision$", tests()).
tests() ->
    PS = start(),
    [eqTest(compute_power(PS, 0,0),"==",1),
     eqTest(compute_power(PS, 22,0),"==",1),
     eqTest(compute_power(PS, 1,1),"==",1),
     eqTest(compute_power(PS, 6,1),"==",6),
     eqTest(compute_power(PS, 2,3),"==",8),
     eqTest(compute_power(PS, 3,3),"==",27),
     eqTest(compute_power(PS, 3,2),"==",9),
     eqTest(compute_power(PS, 5,2),"==",25)].
%% helper for testing, NOT for you to implement.
compute_power(PS, N, M) ->
    PS ! {self(), power, N, M},
    receive {answer, Res} -> Res end.
   
